An issue with voronoi component

I am trying to create a geometry with the Voronoi component but when I create a mesh out of it. there is a hole inside the geometry. can anyone help me?
1 Rev04.gh (103.8 KB)


there is a tiny edge here:

that leads to troubles afterwards:

the opening in the mesh is in the exact position of that tiny edge:

yeah that’s causing the issue. any suggestion on how to get rid of that? or how to solve that issue?
I was trying to use remove duplicate points from kangaroo plugin. I removed the duplicate points. But now I can’t reconstruct the lines.


but I want it to be like this:

1 Rev04.gh (132.0 KB)

the main thing is you have dozens of Python components that are placed on your second screen, so when I open them they are out of my screen and can’t see what’s going on :slight_smile: (I don’t have a second screen at the moment, it got flooded)

for some reason that lies somewhere in your definition, those tiny curves seems to not produce external offsets to connect to, and so that particular quad is missing from your mesh file

this would delete any Voronoi curve that is not longer by (let’s say) 0.5 units, but I don’t know if this would solve your issue at all because I’m not able to explore what happens in the so many Python scripts around

1 Rev04_Re.gh (100.7 KB)

Fake Simulaion Point Deform.gh (35.4 KB)


1 Like

The post by @Quan_Li shows a much simpler way to achieve a similar result.

As @inno pointed out the problem originates from the short edge in your voroni pattern.

Not really a fix, but as a workaround you can use the Mesh WeldVertices component from the MeshEdit plugin to close the hole in the mesh.

These vertices are 0.027 units apart, so a tolerance value of 0.03 closes the hole.

The right way to fix this would be to correct your upstream code that creates this mesh. It is difficult to follow your code because of all the python components you using. Why are you using python code to call native components?

import ghpythonlib.components as comps

i=comps.ListItem(crv,0,True)
len=comps.Length(i)

What is the advantage of using this instead of the native Length component?

-Kevin

1 Like

Thanks a lot. it solved the issue.
That len is just for educational purposes. nothing else